<?php
/*
Plugin Name: Ashley's WordPress Library
Plugin URI: https://amcgowan.co.uk/wp-content/uploads/projects-awp/ash-wp/info.json
description: A collection of basic functionality that i always use accross all plugins.
Version: 0.0.7
Author: Ashley McGowan
Author URI: https://amcgowan.co.uk/
License: GPL2
License URI: https://www.gnu.org/licenses/gpl-2.0.html
Text Domain: ash-wp
*/

/**
 * UPDATES:
 * Swaped sessions to cookies in AdminMessage, to appease site health.
 * Add show/Hide Debug Output for individual users.
 * Fixed bug with DBTable filters adding for each table. now only adds filter once for all tables.
 * Config Page delayes its page building to ensure Ash-WP is loaded before any plugin depending on it.
 * 
 * 
 * TODO:
 * Create Theme Page -requres a test site with no theme
 * Create Child Page -reqires a test site  ||.
 * Sort out how these shared css files work.
 * Make DBTable struct and documentation for Select and Where objects.
 * Fallback option if parent page doesnt exist.
 * Option to create a AWP plugin page.
 * Parse page keys to existing admin pages.
 * DBTable->Create(); redo key implimentation.
 * 
 * 
 * Documentation:
 * 
 * App.php = The entry point for this plugin, a singleton that handles install, updates and allows access to features.
 *      \awp\App()::Instance()
 * 
 * Modules/ = collection of related functions that can be accessed through App:Instance();
 *      ->RegisterModule("moduleName"); //
 *      ->functionFromModule(); //after registering, functions are availble stright from the App singlton.
 * 
 * Classes/ = Object that can be used with multiple functionality
 * 
 * Libs/ = Collection of functions that provide base level language features that arnt inluded in php.
 * 
 * Pages/ = Admin pages that inherit from awp\ConfigPage
 * 
 * Module = all modules should inherit from this, allows for custom modules to be made, gives the modules access to
 *      ->app // the singleton, this may be overriden in constructor.
 *      ->RequireMod("moduleName");
 *           
 * moduleName = start of file name without -module.php
 * 
 * 
 * 
 * */

define("AWP_VERSION", "0.0.7");
define("AWP_PATH", plugin_dir_path(__FILE__));
define("AWP_URL", plugin_dir_url(__FILE__));
define("AWP_URI", AWP_URL);

define("AWP_UPDATE_URL", "https://amcgowan.co.uk/wp-content/uploads/projects-awp/ash-wp/info.json");

require_once "app.php";
$awpHandle = \awp\App::Instance();
//$awpHandle->AdminMessage("Hello World", "error", true);
//$awpHandle->RegisterModule("info");


add_action("admin_enqueue_scripts", function(){
    wp_enqueue_style("awp-style-override",AWP_URL."/ash-wp-style.css", array(), null );
});


?>