<?php namespace awp;
class ExtrasPage extends ConfigPage
{
	public function __construct($parent)
	{
        
		$this->app = \awp\App::Instance();
		
        parent::__construct(
            array("parent"=> $parent, "slug"=>"ash-wp-extras", "title"=> "Extras", "tabTitle"=>"Extras"), 
            array("style-forms", "style-buttons", "style-cards")
        );
        
		
	}
	
	
	/**
	 * Called to initialise data before page loads, usually setup database and fetch field data. Is called before both load and request.
	 **/ 
	protected function Begin()
	{
        
		$newPluginFields = [
			"title" => ["label"=>"Title", "default"=>"", "type"=>"text", "description"=>""],
			"descripton" => ["label"=>"Description", "default"=>"", "type"=>"textarea", "description"=>""],
			"author" => ["label"=>"Author Name", "default"=>"", "type"=>"text", "description"=>""],
			"autherUrl" => ["label"=>"Author URL", "default"=>"", "type"=>"text", "description"=>""],
			"slug" => ["label"=>"Slug", "default"=>"", "type"=>"text", "description"=>""],
			
			
        ];
        
		$formData = array(
			"content" => function(){ return $this->BuildExtraContent(); },
		);
		
		$this->AddComponent($formData);
		
	}

	/**
	 * Called before render page
	 **/ 
	protected function Load(){}

	/**
	 * Called when data is posted.
	 **/ 
	protected function Request($data){
		var_dump($data);
	}
	
	private function BuildExtraContent(){
		
		?>
		<div class="wrap">
				<h1><?=esc_html_e( 'Extra Options', $this->pageInfo->slug ); ?></h1>
				<section>
					<p>These features arn't implimented yet, just here as a place holder.</p>
					<a href="?page=ash-wp&tab=ash-wp-new-plugin" ><button>Create Blank Plugin</button></a>
					<a href="?page=ash-wp&tab=ash-wp-download-theme" ><button>Download Blank AWP Theme</button></a>
					<a href="?page=ash-wp&tab=ash-wp-generate-child-theme" ><button>Create Child Theme</button></a>
				</section>
			<div>
			<?php
	}

}
?>